Tool: query_user_feedback_anomaly_distribution
Gets symptom distribution count across user feedback sample issues.
The following code sample shows how to use curl to call the query_user_feedback_anomaly_distribution MCP tool.
| Curl Request |
|---|
curl --location 'https://homedevelopers.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "query_user_feedback_anomaly_distribution", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for HomeKnowledge.QueryUserFeedbackAnomalyDistribution.
QueryUserFeedbackAnomalyDistributionRequest
| JSON representation |
|---|
{ "agentId": string, "firstDate": string, "lastDate": string } |
| Fields | |
|---|---|
agentId |
Required. Unique identifier of the agent/partner. |
firstDate |
Required. Starting calendar day in "YYYY-MM-DD" format (UTC). Filters for issues occurring on or after this date. |
lastDate |
Required. Ending calendar day in "YYYY-MM-DD" format (UTC). INCLUSIVE: Filters for issues occurring on or before this calendar date. |
Output Schema
Response message for HomeKnowledge.QueryUserFeedbackAnomalyDistribution.
QueryUserFeedbackAnomalyDistributionResponse
| JSON representation |
|---|
{
"symptomDistributions": [
{
object ( |
| Fields | |
|---|---|
symptomDistributions[] |
A list grouping symptoms with their respective counts. |
SymptomDistribution
| JSON representation |
|---|
{
"symptomType": enum ( |
| Fields | |
|---|---|
symptomType |
The type of symptom observed. |
count |
The number of occurrences for this symptom. |
SymptomType
Symptom types for sample issues.
| Enums | |
|---|---|
SYMPTOM_TYPE_UNSPECIFIED |
Default symptom type when unspecified. |
SYMPTOM_TYPE_GHOST_SUCCESS_STATE_NO_CHANGE |
Ghost success symptom where device state did not change. |
SYMPTOM_TYPE_GHOST_SUCCESS_STATE_MISMATCH |
Ghost success symptom where device state mismatched. |
SYMPTOM_TYPE_OFFLINE_MISMATCH |
Offline mismatch symptom. |
SYMPTOM_TYPE_EXPLICIT_FAILURE |
Explicit failure symptom. |
SYMPTOM_TYPE_E2E_LATENCY |
End to end latency symptom. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌